[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'LCLType' (#lcl)

# COLORREF

Represents color constants in the LCL.

## Declaration

Source position: lcltype.pp line 1675

`type COLORREF = System.UITypes.TColorRef;`

## Description

COLORREF is the type used for color constants defined in the LCL. It is interchangeable with the TColorRef type; COLORREF is an alias for TColorRef in the RTL System.UITypes unit.

The base type used for the definition is dependent on the compiler version used to build the LCL. Starting in FPC version 3.2.3, the base type is the TColorRef type defined in the System.UITypes namespace in the FPC run-time library (RTL).

Values in COLORREF (and TColorRef) are normally OR-ed with the value $80000000 to prevent interference with other MS color enumeration values.

## See also

TColorRef |  | Represents color constants in the LCL.